RedCrawler API
Users & Profiles V2

Profile Details by Name V2

Fetch profile-as-subreddit details — banner, icon, subscriber count, public description, and subreddit-style metadata for a user's profile page. Accepts usernam

GET /api/v2/profile/q/details

Fetch profile-as-subreddit details — banner, icon, subscriber count, public description, and subreddit-style metadata for a user's profile page. Accepts username, u/username, or profile URL.

Query parameters

NameTypeRequiredDescription
usernamestringYesUsername, u/username, or profile URL

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X GET "https://red-crawler1.p.rapidapi.com/api/v2/profile/q/details?username=Motor_Tip8865" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com"

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v2/profile/q/details?username=Motor_Tip8865", {
  method: "GET",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    }
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v2/profile/q/details?username=Motor_Tip8865"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
}
resp = requests.get(url, headers=headers)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "success": true,
    "profile": {
      "redditorInfo": {
        "attributes": {
          "redditHandleInfo": {
            "displayName": "Motor_Tip8865",
            "prefixedUsername": "u/Motor_Tip8865",
            "username": "Motor_Tip8865"
          },
          "redditorType": "USER",
          "verificationStatus": "NONE"
        },
        "prefixedName": "u/Motor_Tip8865"
      },
      "id": "t5_examples",
      "name": "u_Motor_Tip8865",
      "styles": {
        "legacyIcon": {
          "url": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/"
        },
        "legacyPrimaryColor": null,
        "legacyBannerBackgroundImage": null,
        "icon": "https://www.reddit.com/r/test/comments/1sys4r2/image_post/"
      },
      "title": "",
      "description": null,
      "publicDescriptionText": null,
      "subscribersCount": 0,
      "createdAt": "2026-03-07T07:27:33.029000+0000",
      "path": "/user/Motor_Tip8865/",
      "isNsfw": false,
      "whitelistStatus": "NO_ADS",
      "isQuarantined": false,
      "allowedPostTypes": [],
      "isSpoilerAvailable": true,
      "isUserBanned": false,
      "isContributor": false,
      "modPermissions": null,
      "isSubscribed": false,
      "isFavorite": false,
      "authorFlairSettings": {
        "isEnabled": true,
        "isSelfAssignable": false
      },
      "authorFlair": null,
      "postFlairSettings": {
        "isEnabled": true
      },
      "isCrosspostingAllowed": true
    }
  },
  "error": null,
  "timestamp": "2026-04-29T08:59:34.038148+00:00"
}

On this page